# Uses of Class
org.apache.cxf.interceptor.LoggingMessage

Packages that use LoggingMessage
Package
Description
org.apache.cxf.interceptor

- ## Uses of LoggingMessage in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor with parameters of type LoggingMessage
  Modifier and Type
  Method
  Description
  `protected String`
  LoggingInInterceptor.`formatLoggingMessage(LoggingMessage loggingMessage)`
  Deprecated.
  `protected String`
  LoggingOutInterceptor.`formatLoggingMessage(LoggingMessage buffer)`
  Deprecated.
  `protected void`
  LoggingInInterceptor.`logInputStream(Message message, InputStream is, LoggingMessage buffer, String encoding, String ct)`
  Deprecated.
  `protected void`
  LoggingInInterceptor.`logReader(Message message, Reader reader, LoggingMessage buffer)`
  Deprecated.